dpkg-parsechangelog(1)

NAMN
dpkg-parsechangelog - tolka Debians ändringsloggar

SYNOPS
dpkg-parsechangelog [flagga...]

BESKRIVNING
dpkg-parsechangelog läser och tolkar ändringsloggen i ett uppackat Debiankällkodsträd och visar informationen i den på standard ut i en maskinläsbar form.

FLAGGOR

-ländringsloggfil
    Specifies the changelog file to read information from. A '-' can be used to specify reading from standard input. The default is debian/changelog.

-Fändringsloggformat
    Anger format på ändringsloggen. Som standard läses formatet från en speciell rad nära slutet av ändringsloggen, om det misslyckas används formatet debian som standard. Se även FORMAT PÅ ÄNDRINGSLOGGEN.

-Lbibliotekskatalog
    Ange en ytterligare katalog att söka i efter parserskript. Katalogen söks genom innan standardkatalogerna, vilka för närvarande är /usr/local/lib/dpkg/parsechangelog och /usr/lib/dpkg/parsechangelog.

-S, --show-field field
    Specifies the name of the field to show (since dpkg 1.17.0). The field name is not printed, only its value.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

  Parserflaggor
The following options can be used to influence the output of the changelog parser, e.g. the range of entries or the format of the output. They need to be supported by the parser script in question. See also NOTES.

--file file
    Set the changelog filename to parse. Default is '-' (standard input).

-l, --label file
    Set the name of the changelog file to use in error messages, instead of using the name from the --file option, or its default value.

--format utdataformat
    Välj utdataformat. Stödda format är för närvarande dpkg och rfc822. dpkg är det klassiska utdataformatet (från innan denna flagga var tillgänglig) och förvalet. Det består av ett stycke i Debians control-format (se deb-control(5)). Om mer än en post önskas tas de flesta fält från den nyaste posten, förutom om annat anges:

    Source: paketnamn

    Version: versions

    Distribution: målutgåva

    Urgency: brådska
        Högsta brådskan av alla de inkluderade posterna används, följt av de sammanslagna (avdelade med blanksteg) kommentarerna från alla de begärda versionerna.

    Maintainer: författare

    Date: datum

    Closes: nummer-på-felrapport
        Closes-fältet i alla inkluderade poster slås samman.

    Changes: posterfrån-ändringsloggen
        Texten i alla ändringsloggposter slås samman. För att göra fältet till giltigt flerradsfält i Debian-control-format ersätts tomma rader med en ensam punkt och alla rader får ett teckens indrag. Exakt innehåll beror på formatet på ändringsloggen.

    Fälten Version, Distribution, Urgency, Maintainer och Changes krävs.

    Ytterligare användardefinierade fält kan finnas.

    rfc822-formatet använder samma fält, men ger ett separat stycke för varje ändringsloggspost så att all metadata för varje post behålls.

--since version, -sversion, -vversion
    ta med alla poster efter version.

--until version, -uversion
    ta med alla ändringar före version.

--from version, -fversion
    ta med alla ändringar från och med version.

--to version, -tversion
    ta med alla ändringar till och med version.

--count antal, -cantal, -nantal
    ta med antal ändringar från början (eller slutet om antal är lägre än 0).

--offset antal, -oantal
    change the starting point for --count, counted from the top (or the tail if number is lower than 0).

--all
    ta med alla ändringar. Observera: övriga flaggor har ingen effekt när denna används.

FORMAT PÅ ÄNDRINGSLOGGEN
Det är möjligt att använda ett annat format än standard, genom att tillhandahålla en tolk för det alternativa formatet. För att låta dpkg-parsechangelog köra den nya tolken måste en rad som motsvarar det reguljära uttrycket (Perl-format) “\schangelog-format:\s+([0-9a-z]+)\W” läggas in bland de 40 sista raderna i ändringsloggfilen. Delen i parentes är namnet på formatet. Till exempel:
       @@@ changelog-format: annatformat @@@ Namn på ändringsloggformat är icke-tomma strängar av alfanumeriska tecken. Om en sådan rad finns kommer dpkg-parsechangelog att leta efter tolken i /usr/lib/dpkg/parsechangelog/annatformat eller /usr/local/lib/dpkg/parsechangelog/annatformat; det är ett fel om det inte finns eller inte är ett exekverbart program. Standardformatet för ändringsloggar är debian och en tolk för detta format inkluderas som standard. Tolken kommer att anropas med ändringsloggen öppen på standard in i början av filen. Den bör läsa filen (den kan söka om den så önskar) för att bestämma den information som krävs och returnera den tolkade information på standard ut i det format som anges av flaggan --format. Den bör acceptera alla Tolkflaggor. Om ändringsloggformatet som tolkas alltid eller nästan alltid innehåller en blank rad mellan individuella ändringsposter bör dessa blanka rader tas bort, så att utdataformatet blir mer kompakt. Om ändringsloggformatet inte innehåller information om datum eller paketnamn bör denna information utelämnas från utdata. Tolken bör inte försöka skapa den eller hitta den i andra källor. Om ändringsloggen inte har det förväntade formatet bör tolken avsluta med en felstatus skild från noll, istället för att försöka virra sig genom och möjligen generera felaktiga utdata. En ändringsloggtolk kan inte på något sätt interagera med användaren.

ANTECKNINGAR
All Parser Options except for -v are only supported since dpkg 1.14.16. Third party parsers for changelog formats other than debian might not support all options.

FILER

debian/changelog
    Ändringsloggsfilen, används för att hämta versionsberoende information om källkodspaketet, till exempel brådska och utgåva för en insändning, ändringarna som utförts sedan en specifik version och själva versionsnumret på källkoden.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.